Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 184532 - Missing accessible name and description in combobox of Logint to Team Server dialog
Missing accessible name and description in combobox of Logint to Team Server ...
Status: VERIFIED FIXED
Product: connecteddeveloper
Classification: Unclassified
Component: Team Framework
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Jan Becicka
issues@connecteddeveloper
: A11Y
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-20 12:06 UTC by Jaromir Uhrik
Modified: 2010-04-26 14:00 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaromir Uhrik 2010-04-20 12:06:06 UTC
Product Version = NetBeans IDE 6.9 Beta (Build 201004200117)
Operating System = Linux version 2.6.27-14-generic running on i386
Java; VM; Vendor = 1.6.0_14
Runtime = Java HotSpot(TM) Client VM 14.0-b16

Please add the accessible description and name to the KenaiCombo - it is missing there according to the output of Acc. tester tool: 

===============================================
 Tested Window title : Login to Team Server
===============================================
Results of Accessibility test
 Doesn't implement Accessible :
   - none.
 No Accessible name :
   Class: org.netbeans.modules.kenai.ui.KenaiCombo {  |  } 
 No Accessible description :
   Class: javax.swing.JButton {  Cancel |  } 
   Class: javax.swing.JButton {  Login |  } 
   Class: org.netbeans.modules.kenai.ui.KenaiCombo {  |  } 
 Label with LABEL_FOR not set :
   - none.
 Components with no LABEL_FOR pointing to it :
   - none.
 Components with no mnemonic :
   - none.
 Components with wrong mnemonic (mnemonic isn't ASCII , label doesn't contain mnemonic):
   - none.
 Components not reachable with tab traversal :
   - none.
Comment 1 Jan Becicka 2010-04-20 12:49:00 UTC
Changeset: d1ecd0643cce
Author:    Jan Becicka <jbecicka@netbeans.org>
Date:      2010-04-20 14:47
Message:   Issue #184532 - Missing accessible name and description in combobox of Logint to Team Server dialog
Comment 2 Quality Engineering 2010-04-21 04:40:20 UTC
Integrated into 'main-golden', will be available in build *201004210200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/d1ecd0643cce
User: Jan Becicka <jbecicka@netbeans.org>
Log: Issue #184532 - Missing accessible name and description in combobox of Logint to Team Server dialog
Comment 3 Jaromir Uhrik 2010-04-26 14:00:51 UTC
No problem with the combo now. Verified in:
Product Version: NetBeans IDE Dev (Build 201004260200)
Java: 1.6.0_17; Java HotSpot(TM) 64-Bit Server VM 14.3-b01-101
System: Mac OS X version 10.5.8 running on x86_64; MacRoman; en_US (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo